Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-1858

rsync::server::module template not compatible with ruby > 1.8

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Environment:

      CentOS 6 running Puppet Server 1.0.2

    • Template:

      Description

      The ERB template code for generating the Rsync module config is using to_a, which isn't compatible with Puppet Server's Ruby 1.9.something.

      Error message from rsync module on Puppet Server 1.0.2:

      Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Failed to parse template rsync/module.erb:
        Filepath: /etc/puppet/modules/rsync/templates/module.erb
        Line: 28
        Detail: undefined method `to_a' for "my_rsync_module":String
       at /etc/puppet/modules/rsync/manifests/server/module.pp:64 on node www1.example.com
      Warning: Not using cache on failed catalog
      Error: Could not retrieve catalog; skipping run
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              jweisner Jesse Weisner
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support